/* mx_swdft.h */

/* MEX interface support for the SWDFT.
 * Author: Robert Mill <rob.mill.uk@gmail.com>
 * (C)2015 University of Sheffield
 */

#ifndef MX_SWDFT_H_INCLUDED
#define MX_SWDFT_H_INCLUDED


/* INCLUDE HEADERS */

#include <mex.h>
#include "swdft.h"


/* FUNCTION DEFINITIONS */

int SWD_ImportOptions( const mxArray *mp_opt, SWD_Options *sp_opt );

int SWD_ImportState( 
    const mxArray *mp_state, 
    const SWD_Options *sp_opt,
    SWD_State *sp_state );

mxArray * SWD_ExportState(
    const SWD_State *sp_state,
    const SWD_Options *sp_opt );

#endif

/* end of file */
